<div class="no-selection-warn-text">
  <mat-icon>error</mat-icon>
  <span [ngSwitch]="missingSelectionType">
    <div
      *ngSwitchCase="'NO_SCOPE_SELECTION'"
      class="clickable-span">
      Please get a scope id first!
    </div>
    <div
      *ngSwitchCase="'NO_SLIDE_SELECTION'"
      class="clickable-span"
      (click)="errorClicked.emit('slides')">
      Please select slide first!
    </div>
    <div *ngSwitchDefault>ERROR: Unknown selection error</div>
  </span>
</div>
